<template>
  <div class="title_bar">
    <h1 class="title_bar_title">{{ title }}</h1>
    <div class="title_bar_links">
      <div class="title_bar_auth">
        <router-link to @click="openAccessLevelsModal" v-tooltip.bottom="'Show access level'">{{ username }}</router-link>|
        <router-link to @click="logout">{{ $t('Logout') }}</router-link>
      </div>
      <div>
        <router-link to>{{ $t('Services') }}</router-link>|
        <router-link to>{{ $t('About') }}</router-link>|
        <router-link to>{{ $t('Help') }}</router-link>
      </div>
    </div>

    <primevue-dialog v-model:visible="showAccessModal" :modal="true" header="Access Level"
                     :draggable="false" :dismissableMask="true" :style="{'min-width': '15vw'}">
    </primevue-dialog>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";

import { useStore } from "@/store";

export default defineComponent({
  computed: {
    title(): string {
      const store = useStore();
      return store.getters.getTitle;
    },

    username(): string {
      return "tester";
    },
  },

  mounted() {
    document.title = `Test UI`;
  },

  methods: {
    logout(): void {
      // Log Out
    },

    openAccessLevelsModal() {
      this.showAccessModal = true;
    },
  },

  data() {
    return {
      showAccessModal: false
    };
  },

});
</script>

<style scoped>
.title_bar {
  background-color: #414b55;
  background-image: url("../assets/webui_logo.png");
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-position: 40px 20px;
  color: #ffffff;
  font-family: Verdana, Arial, Helvetica, sans-serif;
  overflow: hidden;
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  height: 70px;
}

.title_bar_title {
  font-size: 24px;
}

.title_bar_homeid {
  font-size: 14px;
  margin-top: -12px;
}

.title_bar_links {
  position: absolute;
  text-align: right;
  top: 16px;
  right: 40px;
}

.title_bar_links a {
  color: #ffffff;
  font-size: 12px;
  line-height: 18px;
  padding: 4px;
  text-decoration: none;
}

.title_bar_links a:hover {
  text-decoration: underline;
}

.title_bar_auth {
}
</style>
